<?php if ( function_exists('register_sidebars') )
 register_sidebars(array(
        'before_widget' => '',
    	'after_widget' => '',
 		'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
?>
<?php // Search
function widget_mytheme_search() {
?>
<h2>Search</h2>
<form id="searchform" method="get" action="<?php bloginfo('home'); ?>/"> <input type="text" value="type, hit enter" onfocus="if (this.value == 'type, hit enter') {this.value = '';}" onblur="if (this.value == '') {this.value = 'type, hit enter';}" size="18" maxlength="50" name="s" id="s" /> </form>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_mytheme_search');
?>
<?php
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;
	return $file;
}?>
<?php //twitter link
class ClassicOptions {
	function getOptions() {
		$options = get_option('classic_options');
		if (!is_array($options)) {
			$options['twitter_display'] = true;
			$options['twitter_link'] = 'http://twitter.com';
			update_option('classic_options', $options);
		}
		return $options;
	}
	function init() {
		if(isset($_POST['classic_save'])) {
			$options = ClassicOptions::getOptions();
 			if ($_POST['twitter_display']) {
				$options['twitter_display'] = (bool)true;
			} else {
				$options['twitter_display'] = (bool)false;
			}
			$options['twitter_link'] = stripslashes($_POST['twitter_link']);
			update_option('classic_options', $options);
		} else {
			ClassicOptions::getOptions();
		}
		add_theme_page("Current Theme Options", "Current your twitter link", 'edit_themes', basename(__FILE__), array('ClassicOptions', 'display'));
	}
	function display() {
		$options = ClassicOptions::getOptions();
?>
<form action="#" method="post" enctype="multipart/form-data" name="classic_form" id="classic_form">
	<div class="wrap">
		<h2><?php _e('Current your twitter link', 'classic'); ?></h2>
 		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('twitter_display', 'classic'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('Current your twitter link, do not add "http://", eg: twitter.com/zwwooooo', 'classic') ?><br/></small>
					</th>
					<td>
						<label>
							<input name="twitter_display" type="checkbox" value="checkbox" <?php if($options['twitter_display']) echo "checked='on'"; ?> />
							 <?php _e('Show Twitter pic & Link.', 'classic'); ?>
						</label>
						<br/>
						<label>
							<textarea name="twitter_link" cols="50" rows="1" id="twitter_link" style="width:350px;font-size:12px;" class="text"><?php echo($options['twitter_link']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="classic_save" value="<?php _e('Update Options &raquo;', 'classic'); ?>" />
		</p>
	</div>
</form>
<?php
	}
}
add_action('admin_menu', array('ClassicOptions', 'init'));
?>