<div id="sidebar">
	<?php 	/* Widgetized sidebar, if you have the plugin installed. */	if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(1) ) : ?>
		<?php /* If this is the single or home */ if (is_home()) { ?>
		<li class="widget">
				<h2>Recent Comments</h2>
				<ul>
						<?php
						global $wpdb;
						$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
						comment_post_ID, comment_author, comment_date_gmt, comment_approved,
						comment_type,comment_author_url,comment_author_email,
						SUBSTRING(comment_content,1,15) AS com_excerpt
						FROM $wpdb->comments
						LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
						$wpdb->posts.ID)
						WHERE comment_approved = '1' AND comment_type = '' AND
						post_password = '' AND user_id='0'
						ORDER BY comment_date_gmt DESC
						LIMIT 10";
						$comments = $wpdb->get_results($sql);
						$output = $pre_HTML;
						foreach ($comments as $comment) {
						$output .= "\n<li>".get_avatar(get_comment_author_email('comment_author_email'), 24).strip_tags($comment->comment_author)
						.":<br />" . " <a href=\"" . get_permalink($comment->ID) .
						"#comment-" . $comment->comment_ID . "\" title=\"on " .
						$comment->post_title . "\">" . strip_tags($comment->com_excerpt)
						."</a>...</li>";
						}
						$output .= $post_HTML;
						echo $output;?>			
				</ul>
		</li>
		<li class="widget">
				<h2>Hot Posts</h2>
				<ul>
						<?php $result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 10");
						foreach ($result as $post) {
						setup_postdata($post);
						$postid = $post->ID;
						$title = $post->post_title;
						$commentcount = $post->comment_count;
						if ($commentcount != 0) { ?>
							<li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>">
								<?php echo $title ?></a> (<?php echo $commentcount ?>)</li>
								<?php } } ?>
				</ul>
		</li>
		<li class="widget Tag-Cloud">
				<h2>Tag Cloud</h2>
				<?php wp_tag_cloud('smallest=9&largest=16'); ?>
		</li>
		<li class="widget">
				<h2>Pages</h2>
				<ul>
						<?php wp_list_pages('title_li='); ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Categories</h2>
				<ul>
						<?php wp_list_categories('title_li='); ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Archives</h2>
				<ul>
						<?php wp_get_archives('type=monthly'); ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Links</h2>
				<ul>
						<?php wp_list_bookmarks('title_li=&categorize=0&orderby=rand'); ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Meta</h2>
				<ul>
						<?php wp_register(); ?>
						<li><?php wp_loginout(); ?></li>
						<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
						<?php wp_meta(); ?>
						</ul>
		</li>
		<?php } ?>
		<?php if ( is_single() ) { ?>
		<li class="widget">
				<h2>Recent Posts</h2>
				<ul>
						<?php
						$myposts = get_posts('numberposts=10&offset=0&category=0');
						foreach($myposts as $post) :
						setup_postdata($post);
						?>
						<li>
								<span><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span>
								<span><?php the_time('Y/m/d'); ?>.</span>
						</li>
						<?php endforeach; ?>
				</ul>	
		</li>
		<li class="widget">
				<h2>Hot Posts</h2>
				<ul>
						<?php $result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 10");
						foreach ($result as $post) {
						setup_postdata($post);
						$postid = $post->ID;
						$title = $post->post_title;
						$commentcount = $post->comment_count;
						if ($commentcount != 0) { ?>
							<li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>">
								<?php echo $title ?></a> (<?php echo $commentcount ?>)</li>
								<?php } } ?>
				</ul>
		</li>
		<li class="widget Tag-Cloud">
				<h2>Tag Cloud</h2>
						<?php wp_tag_cloud('smallest=9&largest=16'); ?>
		</li>
		<li class="widget">
				<h2>Archives</h2>
				<ul>
						<?php wp_get_archives('type=monthly'); ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Meta</h2>
				<ul>
						<?php wp_register(); ?>
						<li><?php wp_loginout(); ?></li>
						<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
						<?php wp_meta(); ?>
				</ul>
		</li>
		<?php } ?>
		<?php if ( is_404() || is_category() || is_search() || is_page() || is_tag() || is_date() || is_year() ) {
			?>
		<li class="widget">
				<h3>Random Posts</h3>
				<ul>
						<?php
						$rand_posts = get_posts('numberposts=10&orderby=rand');
						foreach( $rand_posts as $post ) :
						?>
						<!--defining Loop-->
						<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
						<?php endforeach; ?>
				</ul>
		</li>
		<li class="widget">
				<h2>Recent Comments</h2>
				<ul>
						<?php
						global $wpdb;
						$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
						comment_post_ID, comment_author, comment_date_gmt, comment_approved,
						comment_type,comment_author_url,comment_author_email,
						SUBSTRING(comment_content,1,15) AS com_excerpt
						FROM $wpdb->comments
						LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
						$wpdb->posts.ID)
						WHERE comment_approved = '1' AND comment_type = '' AND
						post_password = '' AND user_id='0'
						ORDER BY comment_date_gmt DESC
						LIMIT 10";
						$comments = $wpdb->get_results($sql);
						$output = $pre_HTML;
						foreach ($comments as $comment) {
						$output .= "\n<li>".get_avatar(get_comment_author_email('comment_author_email'), 24).strip_tags($comment->comment_author)
						.":<br />" . " <a href=\"" . get_permalink($comment->ID) .
						"#comment-" . $comment->comment_ID . "\" title=\"on " .
						$comment->post_title . "\">" . strip_tags($comment->com_excerpt)
						."</a>...</li>";
						}
						$output .= $post_HTML;
						echo $output;?>			
				</ul>
		</li>
		<li class="widget Tag-Cloud">
				<h2>Tag Cloud</h2>
						<?php wp_tag_cloud('smallest=9&largest=16'); ?>
		</li>
		<li class="widget">
				<h2>Archives</h2>
				<ul>
						<?php wp_get_archives('type=monthly'); ?>
				</ul>
		</li>
		<?php } ?>
	<?php endif; ?>
</div>